Replace class names in HTML
========================

This is plugin for nmp-package "[Post-Compression](https://github.com/bakhirev/post_compression)".  
He`s searching and replaces long class names on short class names, in the HTML code.

#### An example of using: ####
```js
var replaceClassNameInHTML = require("pc__replace_class_in_html");

gulp.src("./*.html")
        replaceClassNameInHTML()
    ], shortNames));
```

Where:  
 - shortNames - an object of type JSON with rules replace the long words to short words.
 
#### An example of the JSON object "shortNames": ####
```js
{
    "class_in_html": {      // the name of the group names
        "someIdA": "a",     // long name: short name
        "someIdB": "b"
    }
}
```

#### An example of HTML code before: ####
```html
<p class="someClassA"></p>
<p class="someClassA someClassB"></p>
```

#### An example of HTML code after: ####
```html
<p class="a"></p>
<p class="a b"></p>
```